package com.example.jetsnack.model

import androidx.annotation.DrawableRes
import androidx.compose.runtime.Immutable
import com.example.jetsnack.R

@Immutable
data class Egg(
    val id: Long,
    val name: String,
    val price: Long,
    @DrawableRes
    val picture:Int,
    val color : Long
)
val Eggs = listOf(
    Egg(
        id = 1,
        name = "1小時",
        price = 50 ,
        picture = R.drawable.egg_1 ,
        color = 0x3053b175
    ),
    Egg(
        id = 2,
        name = "2小時",
        price = 100,
        picture = R.drawable.egg_2,
        color = 0x30f8a44c
    ),
    Egg(
        id = 3,
        name = "4小時",
        price = 250,
        picture = R.drawable.egg_3,
        color = 0x30f7a593

    ),
    Egg(
        id = 4,
        name = "10小時",
        price = 500,
        picture = R.drawable.egg_4,
        color = 0x307fa593
    ),
    Egg(
        id = 5,
        name = "16小時",
        price = 1000,
        picture = R.drawable.egg_5,
        color = 0x30d3b0e0
    ),
    Egg(
        id = 6,
        name = "24小時",
        price = 1250,
        picture = R.drawable.egg_6,
        color = 0x30b7dff5
    ),
    Egg(
        id = 7,
        name = "32小時",
        price = 1800,
        picture = R.drawable.egg_7,
        color = 0x3097005c
    ),
    Egg(
        id = 8,
        name = "64小時",
        price = 2000,
        picture = R.drawable.egg_8,
        color = 0x30f8a44c
    )
)